https://rest.ably.io/push/channelSubscriptionsGet a list of push notification subscriptions to channels.
Filter to restrict to subscriptions associated with that channel.
Optional filter to restrict to devices associated with that deviceId. Cannot be used with clientId.
Optional filter to restrict to devices associated with that clientId. Cannot be used with deviceId.
The maximum number of records to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://rest.ably.io/push/channelSubscriptions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://rest.ably.io/push/channelSubscriptionsGet a list of push notification subscriptions to channels.
Filter to restrict to subscriptions associated with that channel.
Optional filter to restrict to devices associated with that deviceId. Cannot be used with clientId.
Optional filter to restrict to devices associated with that clientId. Cannot be used with deviceId.
The maximum number of records to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://rest.ably.io/push/channelSubscriptions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}